Ask Your Question
0

ODL Build compilation issue

asked 2015-03-10 23:59:22 -0700

rmohamed gravatar image

Hi,

I have downloaded the latest ODL controller code from git clone https://git.opendaylight.org/gerrit/p/controller.git and for integration code from git clone https://git.opendaylight.org/gerrit/p/integration.git . And for complete Helium code got it from "for PROJECT in aaa affinity bgpcep controller defense4all dlux docs groupbasedpolicy integration l2switch \ lispflowmapping odlparent opendove openflowjava openflowplugin opflex ovsdb packetcable releng/autorelease releng/builder reservation sdninterfaceapp sfc snbi snmp4sdn tcpmd5 toolkit ttp vtn yangtools; \ do git clone https://git.opendaylight.org/gerrit/${PROJECT}.git ${PROJECT}; \ done"

Here the problem is, every day i am facing compilation error and have to download code latest code every day to make it success. Is there any stable version of code(git url) for complete Helium to progress.

Thanks, rmohamed

edit retag flag offensive close merge delete

1 answer

Sort by ยป oldest newest most voted
0

answered 2015-03-11 00:18:53 -0700

voltriver gravatar image

I guess that you may download the master branch code from the repository. I recommend that try it again from stable branch as followings: git clone -b stable/helium https://git.opendaylight.org/gerrit/p/controller.git

Good-luck!

edit flag offensive delete publish link more

Comments

Thanks Voltriver, Is there any stable version for all Helium code? Because facing same compilation issue for integration/DLUX. Thanks, rmohamed

rmohamed ( 2015-03-11 00:28:23 -0700 )edit

Hi Mohamed, i think we're saying to switch all the project to the use their stable/helium branch so update ur script with do git clone -b stable/helium https://git.opendaylight.org/gerrit/${PROJECT}.git ${PROJECT} The relend builder isn't need (and maybe not autorelease)

Chris O'Shea ( 2015-03-11 00:50:26 -0700 )edit

Thanks Chris

rmohamed ( 2015-03-11 02:21:46 -0700 )edit

After compiled all the stable version of code. when we install feature getting below error \n opendaylight-user@root>feature:install odl-integration-compatible-with-all\n Error executing command: Could not start bundle mvn:org.opendaylight.yangtools/object-cache-guava/0.6.5-SNAPSHOT in feature(s) odl-yangtools-common-0.6.5-SNAPSHOT: The bundle "org.opendaylight.yangtools.object-cache-guava_0.6.5.SNAPSHOT [460]" could not be resolved. Reason: Package uses conflict: Import-Package: org.opendaylight.yangtools.objcache.spi; version="[0.6.0,1.0.0)"

rmohamed ( 2015-03-11 22:31:57 -0700 )edit

The building the complete opendaylight is a very complex task, and i believe only few people understand the order project need to built in and such, Can i ask for your end goal? normally people will compile the project they wish to edit and then the integration project, to bring in local changes.

Chris O'Shea ( 2015-03-12 00:43:39 -0700 )edit
Login/Signup to Answer

Question Tools

Follow
1 follower

Stats

Asked: 2015-03-10 23:59:22 -0700

Seen: 190 times

Last updated: Mar 11 '15